/*
 * Copyright (c) 2007 Konopa-Jelen-Majer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** @addtogroup FileSystemTask
 * @{
 */ 

/**
 * @file	shared_proto.h
 * @brief	Shared prototypes for tasks Cat and FS 
 */

#ifndef _SHARED_PROTO_H
#define _SHARED_PROTO_H

#include "message.h"


	/* Connections to services. */
	int common_connection(int *phone, int service, int attempts);
	int connect_to_rd(int *phone, int attempts);
	int connect_to_con(int *phone, int attempts);
	int connect_to_fs(int *phone, int attempts);

	/* Extended messaging. */
	int send_request(int phoneid, ipcarg_t method, 
		message_params_t *params, void *shared_buffer);
	void unpack_message(message_params_t *message, ipc_call_t m_input, 
			void *shared_buffer);


#endif /* _SHARED_PROTO_H */

/**
 *}
 */
   
